yi-core-0.19.4: Yi editor core library

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Extensions

- DeriveDataTypeable
- DeriveGeneric

Yi.UI.LineNumbers

Description

Line numbers.

Synopsis

- getDisplayLineNumbersLocal :: BufferM (Maybe Bool)
- setDisplayLineNumbersLocal :: Maybe Bool -> BufferM ()

# Documentation

getDisplayLineNumbersLocal :: BufferM (Maybe Bool) Source #

Get the buffer-local line number setting.

setDisplayLineNumbersLocal :: Maybe Bool -> BufferM () Source #

Set the buffer-local line number setting. Nothing: use global setting Just True: display line numbers only in this buffer Just False: hide line numbers only in this buffer